Page 1 of 1

Updating LMS 7.7.2 to 7.8

Posted: Sun Mar 10, 2013 7:58 am
by castalla
I used the excellent All Things Pi guide to instal LMS 7.7.2 : http://allthingspi.webspace.virginmedia.com/lms.php

If I wanted to update to LMS 7.8 would this be simply be a case of installing the 7.8 deb package ?

Re: Updating LMS 7.7.2 to 7.8

Posted: Sun Mar 10, 2013 9:14 am
by Cloudcentric

Re: Updating LMS 7.7.2 to 7.8

Posted: Sun Mar 10, 2013 9:22 am
by castalla
Thanks. I know 7.8 is a nightly update.

I was more concerned about having to modify the symbolic links given in the allthings routine.

Re: Updating LMS 7.7.2 to 7.8

Posted: Tue Mar 12, 2013 12:56 am
by castalla
Do NOT attempt this at home!

I did a deb install of 7.8 - it all looks good (no error messages) BUT the server falls over badly (starts . dies ... starts . dies ... etc)

There is no easy way back - only a complete reimaging gets 7.7.2 back!

Re: Updating LMS 7.7.2 to 7.8

Posted: Tue Mar 12, 2013 10:45 am
by castalla
Update 1

If you use the squeezeplug LMS installer routine then updating to 7.8 works.

(I will use the althingspi routine on a separate Raspian install and report back the results)

Update 2

If you want to update the allthingspi Raspian install, then you have to repeat the whole routine (replace the .deb command with 7.8). The update then works.

Simply doing a dpkg -i newLMS.deb is not sufficient.

Re: Updating LMS 7.7.2 to 7.8

Posted: Sat May 04, 2013 10:31 am
by .helge
castalla wrote:Update 1

If you use the squeezeplug LMS installer routine then updating to 7.8 works.

(I will use the althingspi routine on a separate Raspian install and report back the results)

Update 2

If you want to update the allthingspi Raspian install, then you have to repeat the whole routine (replace the .deb command with 7.8). The update then works.

Simply doing a dpkg -i newLMS.deb is not sufficient.
Hi Castella,

yesterday I read your posts in the slimdevices forum. And as 7.8 seemed quiete stable from the discussion there, I decided to give it a try.

Thanks for the pre-work on this! I wanted to provide a more detailed description for the upgrade process in case someone wants to try Version 7.8 and thus participate in testing that Version
The SP seutp utility offers the possibility to copy paste a link to a different LMS Version, which works great. But for "mass production" my approach was to modify the squeezeplug script, which works just fine for me.
The upgrade process requires uninstalling LMS V7.7.2 prior to installing V7.8.x:

login as root
backup all settings

Code: Select all

cp -r /var/lib/squeezeboxserver/prefs/* <your backup directory>
open /SP/scripts/lms.sh with an editor of your choice (I use Winscp's internal editor)
goto line 121 where you'll find this string:

Code: Select all

FULLPATH="http://downloads.slimdevices.com/LogitechMediaServer_v7.7.2/logitechmediaserver_7.7.2_all.deb"
replace the link between the quotes with what ever link to a version or nightly build you prefer.
run the SP setup utility
uninstall LMS (uninstalls Version 7.7.2)
install LMS (new version will be installed)
replace seetings with the ones from the backup

Code: Select all

cp -r <your backup directory>/*  /var/lib/squeezeboxserver/prefs/
restart LMS or the RPi
start listening to musik with version 7.8.x[/color]

ciao,
Helge

EDIT: added command for backup/ restore LMS setting files

Re: Updating LMS 7.7.2 to 7.8

Posted: Sun Jun 22, 2014 8:59 am
by mortie79
Update 2

If you want to update the allthingspi Raspian install, then you have to repeat the whole routine (replace the .deb command with 7.8). The update then works.

Simply doing a dpkg -i newLMS.deb is not sufficient.
I've tried the above but I get:
sudo patch /usr/share/perl5/Slim/bootstrap.pm lms-rpi-bootstrap.patch
patching file /usr/share/perl5/Slim/bootstrap.pm
Hunk #1 FAILED at 115.
1 out of 1 hunk FAILED -- saving rejects to file /usr/share/perl5/Slim/bootstrap.pm.rej
Is there a more recent patch?

Re: Updating LMS 7.7.2 to 7.8

Posted: Mon Jun 23, 2014 10:45 pm
by castalla
As far as I know, there is no need to follow any of the allthingspi routines as recent versions of LMS are Pi compatible.

Try just doing a dpkg -i [nightlydownload]

Re: Updating LMS 7.7.2 to 7.8

Posted: Thu Sep 18, 2014 9:58 am
by Michielo
Castalla,

I'm trying to install LMS v7.8.1 on an RPI running Raspbmc using the All Things Pi how-to for Rasbian (Raspbmc being a modded raspbian distribution).

I encountered the same problem as the patch error described above.

Now, I'm a bit confused about the msg in your last post and your post of March 12, 2013.

In your March 2013 post you wrote:
If you want to update the allthingspi Raspian install, then you have to repeat the whole routine (replace the .deb command with 7.8). The update then works.

Simply doing a dpkg -i newLMS.deb is not sufficient.
In your last post of June 2014 you wrote:
As far as I know, there is no need to follow any of the allthingspi routines as recent versions of LMS are Pi compatible.

Try just doing a dpkg -i [nightlydownload]
I am aware the approximately 1 year has passed between both post, but I just wanted some clarity.

To install (fresh install so no update) do I need to follow the All Things Pi how-to (and if so, all steps or just some of them) or is it just a matter of downloading and installing the v7.8.1 deb package?

Thanks for your response.

Kind regards,

Michielo

Re: Updating LMS 7.7.2 to 7.8

Posted: Thu Sep 18, 2014 12:21 pm
by castalla
Sorry. No idea.

Why not just try the dpkg -i lms.deb - see if it works?